## GspellEntryBuffer

GspellEntryBuffer — Spell checking support for GtkEntryBuffer

## Functions

GspellEntryBuffer * | gspell_entry_buffer_get_from_gtk_entry_buffer ()
GtkEntryBuffer * | gspell_entry_buffer_get_buffer ()
GspellChecker * | gspell_entry_buffer_get_spell_checker ()
void | gspell_entry_buffer_set_spell_checker ()

## Properties

GtkEntryBuffer * | buffer | Read / Write / Construct Only
GspellChecker * | spell-checker | Read / Write

## Types and Values

| GspellEntryBuffer

## Object Hierarchy

        GObject
        ╰── GspellEntryBuffer

## Includes

    #include <gspell/gspell.h>

## Description

GspellEntryBuffer extends the GtkEntryBuffer class with spell checking support.

## Functions

### gspell_entry_buffer_get_from_gtk_entry_buffer ()

    GspellEntryBuffer *
    gspell_entry_buffer_get_from_gtk_entry_buffer
                                   (GtkEntryBuffer *gtk_buffer);

Returns the GspellEntryBuffer of `gtk_buffer` . The returned object is guaranteed to be the same for the lifetime of `gtk_buffer` .

#### Parameters

gtk_buffer | a GtkEntryBuffer. |

#### Returns

the GspellEntryBuffer of `gtk_buffer` .

[transfer none]

Since: 1.4

### gspell_entry_buffer_get_buffer ()

    GtkEntryBuffer *
    gspell_entry_buffer_get_buffer (GspellEntryBuffer *gspell_buffer);

#### Parameters

gspell_buffer | a GspellEntryBuffer. |

#### Returns

the GtkEntryBuffer of `gspell_buffer` .

[transfer none]

Since: 1.4

### gspell_entry_buffer_get_spell_checker ()

    GspellChecker *
    gspell_entry_buffer_get_spell_checker (GspellEntryBuffer *gspell_buffer);

#### Parameters

gspell_buffer | a GspellEntryBuffer. |

#### Returns

the GspellChecker if one has been set, or `NULL`.

[nullable][transfer none]

Since: 1.4

### gspell_entry_buffer_set_spell_checker ()

    void
    gspell_entry_buffer_set_spell_checker (GspellEntryBuffer *gspell_buffer,
                                           GspellChecker *spell_checker);

Sets a GspellChecker to a GspellEntryBuffer. The `gspell_buffer` will own a reference to `spell_checker` , so you can release your reference to `spell_checker` if you no longer need it.

#### Parameters

gspell_buffer | a GspellEntryBuffer. |
spell_checker | a GspellChecker, or `NULL` to unset the spell checker. | [nullable]

Since: 1.4

## Types and Values

### GspellEntryBuffer

    typedef struct _GspellEntryBuffer GspellEntryBuffer;

## Property Details

### The `“buffer”` property

      “buffer”                   GtkEntryBuffer *

The GtkEntryBuffer.

Owner: GspellEntryBuffer

Flags: Read / Write / Construct Only

Since: 1.4

### The `“spell-checker”` property

      “spell-checker”            GspellChecker *

The GspellChecker.

Owner: GspellEntryBuffer

Flags: Read / Write

Since: 1.4